Subject: Re: [PATCH net-next] net: phylib: fix phy_read*_poll_timeout()

From: Jakub Kicinski <[email-masked]>
Date: Fri, 2 Jun 2023 09:05:39 -0700

On Fri, 2 Jun 2023 09:53:09 +0100 Russell King (Oracle) wrote:
> > Yes it is :)  All this to save the single line of assignment
> > after the read_poll_timeout() "call" ?  
> 
> Okay, so it seems you don't like it. We can't fix it then, and we'll
> have to go with the BUILD_BUG_ON() forcing all users to use a signed
> varable (which better be larger than a s8 so negative errnos can fit)
> or we just rely on Dan to report the problems.

Wait, did the version I proposed not work?

https://lore.kernel.org/all/[email-masked]/

I just think the assignment inside the first argument is unnecessarily
unreadable. Maybe it's just me.